Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## android.device
Class KeyMapManager.KeyEntry

    java.lang.Object
      android.device.KeyMapManager.KeyEntry

Enclosing class:
  KeyMapManager

    public class KeyMapManager.KeyEntry

extends java.lang.Object

Describes the keys provided by button event and their associated labels.

Field Summary
`java.lang.String` | `action` Describes the special actions to start APPS`android.content.Intent`
`int` | `keycode` Describes the Button event key code`android.view.KeyEvent#getKeyCode()`
`int` | `keycode_meta` Describes the Button event remap keycode`android.device.KeyMapManager#getKeyCode()`
`int` | `scancode` Describes the Button event scan code`android.view.KeyEvent#getScanCode()`
`int` | `type` Describes `KeyMapManager.KEY_TYPE_KEYCODE` or `KeyMapManager.KEY_TYPE_STARTAC`

Constructor Summary
`KeyMapManager.KeyEntry()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### scancode

    public int scancode

  Describes the Button event scan code`android.view.KeyEvent#getScanCode()`

### keycode

    public int keycode

  Describes the Button event key code`android.view.KeyEvent#getKeyCode()`

### keycode_meta

    public int keycode_meta

  Describes the Button event remap keycode`android.device.KeyMapManager#getKeyCode()`

### action

    public java.lang.String action

  Describes the special actions to start APPS`android.content.Intent`

### type

    public int type

  Describes `KeyMapManager.KEY_TYPE_KEYCODE` or `KeyMapManager.KEY_TYPE_STARTAC`

Constructor Detail

### KeyMapManager.KeyEntry

    public KeyMapManager.KeyEntry()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD